//---------------------------------------------------------------------------

#ifndef DSPack_DatasteadRTSPSource_H
#define DSPack_DatasteadRTSPSource_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "DSPack.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TVideoWindow *VideoWindow;
	TMemo *mmolog;
	TMemo *Memo1;
	TEdit *edtURL;
	TEdit *edtRecordFileName;
	TEdit *edtPassword;
	TEdit *edtUserName;
	TEdit *edtBuffering;
	TCheckBox *chkRecord;
	TButton *btnRUN;
	TButton *btnGenerateNewFile;
	TMemo *Memo2;
	TMemo *mmoStreamInfo;
	TFilterGraph *FilterGraph;
	TFilter *filterRTSP;
	void __fastcall btnRUNClick(TObject *Sender);
   void __fastcall btnGenerateNewFileClick(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:	// User declarations
   IDatasteadRTSPSourceConfig *DatasteadRTSPSourceConfig;
	void __fastcall RunGraph();
	void __fastcall LogErrorIfAny(String LogInfo, HRESULT hr);
   void __fastcall ClearGraph();

public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
